Bug 142678 - Firefox does not accept langpacks
Firefox does not accept langpacks
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2004-12-12 10:37 EST by Carlos Rodrigues
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 11:00:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carlos Rodrigues 2004-12-12 10:37:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
The Firefox build included in Firefox does not accept langpacks. One is able to install them, but they don't work. This doesn't happen in the official firefox build from mozilla.org.

This makes the FC3 Firefox completely unusable for some users.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install the Locale Switcher (http://benjamin.smedbergs.us/switch-locales/)
2.Install the PT lankpack (http://mozilla.shopizzy.com/langptpt.xpi?fid=32)
3.Restart Firefox
5.Restart Firefox

Actual Results:  The interface remains in English.

Expected Results:  The interface should be in Portuguese, which is what happens when I perform the above steps with mozilla.org's Firefox (on Linux, Windows or Mac).

Additional info:
Comment 1 Sitsofe Wheeler 2005-01-05 11:37:21 EST
Possible dup of bug #138339
Comment 2 Benjamin Smedberg 2005-11-30 20:51:03 EST
This is due to the "intl.locale.matchOS" pref, which is set to "true" by default
for RedHat builds, which uses the value of LANG from the evironment to select
the proper browser UI.
Comment 3 Matthew Miller 2006-07-10 17:28:08 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Christopher Aillon 2006-10-30 11:00:55 EST
Simply use LANG=pt_BR.utf-8 if you want to use Portuguese, same as with other
programs in the distro.

Note You need to log in before you can comment on or make changes to this bug.